#### PyKDE - Python Bindings for KDE

# class DOM.MediaList |
Table of contents
Modules
tdehtml Classes
All Classes

Module | tdehtml
Class | DOM.MediaList
Inherits |

### methods

- MediaList ()

  returns a MediaList instance

- MediaList (other)

  returns a MediaList instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.MediaList |

- MediaList (impl)

  Not Implemented

- appendMedium (newMedium)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  newMedium | DOM.DOMString |

- deleteMedium (oldMedium)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  oldMedium | DOM.DOMString |

- handle ()

  Not Implemented

- isNull ()

  returns (bool)

- item (index)

  returns (DOM.DOMString)
  Argument | Type | Default
  --- | --- | ---
  index | ulong |

- length ()

  returns (ulong)

- mediaText ()

  returns (DOM.DOMString)

- setMediaText (value)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  value | DOM.DOMString |